<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kym.mapper.DailyStatMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.kym.entity.DailyStat">
        <result column="stat_date" property="statDate" />
        <result column="station_id" property="stationId" />
        <result column="total_income" property="totalIncome" />
        <result column="total_refund" property="totalRefund" />
        <result column="cross_income" property="crossIncome" />
        <result column="cross_expend" property="crossExpend" />
        <result column="recharge_count" property="rechargeCount" />
        <result column="refund_count" property="refundCount" />
        <result column="consumption" property="consumption" />
        <result column="registrations" property="registrations" />
        <result column="active_user_count" property="activeUserCount" />
        <result column="orders_count" property="ordersCount" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        stat_date, station_id, total_income, total_refund, cross_income, cross_expend,
        recharge_count, refund_count, consumption, registrations, active_user_count, orders_count
    </sql>

</mapper>
